Package Details: perl-file-libmagic 1.23-5

Git Clone URL: https://aur.archlinux.org/perl-file-libmagic.git (read-only, click to copy)
Package Base: perl-file-libmagic
Description: Determine MIME types of data or files using libmagic
Upstream URL: https://metacpan.org/release/File-LibMagic
Licenses: GPL, PerlArtistic
Submitter: ganymede
Maintainer: ganymede
Last Packager: ganymede
Votes: 5
Popularity: 0.023603
First Submitted: 2014-10-25 16:32 (UTC)
Last Updated: 2023-08-13 15:25 (UTC)

Latest Comments

J5lx commented on 2022-02-15 02:56 (UTC)

The architecture list of this package should not be set to any since it contains a native binary. any is only for packages that can be used on any architecture without rebuilding it – which typically is not the case when native binaries are involved. Instead, if the package can be built and used on multiple architectures, supported architectures should be explicitly listed, e.g. arch=('x86_64' 'armv7h').

ganymede commented on 2016-06-06 22:33 (UTC)

@lulingar: done, sorry for the delay. Pkg version bump for perl 5.24.

lulingar commented on 2016-02-19 19:18 (UTC)

I propose the architecture list to be set to "any". I was able to build and install the package in my Raspberry Pi 2 (armv7h).

wamba commented on 2015-04-04 00:11 (UTC)

new version (change syntax) and pls add: unset PERL5LIB PERL_MM_OPT PERL_LOCAL_LIB_ROOT